API referenceDirect actions
GET
/accounts/{id}/sales-navigator/lists

JavaScript SDK: swarmhit.accounts.salesNavigator.lists(accountId, params?)

The account's saved Sales Navigator lists — lead lists by default, or account lists with type=ACCOUNT. Needs a Sales Navigator seat on the account — otherwise 422 (409 when the account is not connected or can't be used right now).

Authorization

bearerAuth
AuthorizationBearer <token>

An API key created on the Access tokens page.

In: header

Path Parameters

id*string

Query Parameters

type?string

Which lists to return (default LEAD).

Value in

  • "LEAD"
  • "ACCOUNT"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/accounts/string/sales-navigator/lists"
{  "data": [    {      "id": "string",      "name": "string",      "type": "LEAD",      "totalCount": 0,      "description": "string",      "shared": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}